Api referenceArchitecture

Update Architecture Uncertainty

Reference for Update Architecture Uncertainty in the Hyperoru v1 API, including request, response, and authentication details.

PATCH/v1/workspaces/{workspace_id}/architecture/uncertainties/{uncertainty_id}

Update Architecture Uncertainty. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
uncertainty_id*Uncertainty Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/uncertainties/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "alternatives": [
    {
      "evidence_ids": [
        "973ab5a6-b373-447d-ab9d-bdb660b35afc"
      ],
      "observed_at": "2019-08-24T14:15:22Z",
      "source_keys": [
        "string"
      ],
      "source_refs": [
        "string"
      ],
      "value": "string"
    }
  ],
  "blocking": true,
  "created_at": "2019-08-24T14:15:22Z",
  "detail": "string",
  "detected_at": "2019-08-24T14:15:22Z",
  "evidence_ids": [
    "973ab5a6-b373-447d-ab9d-bdb660b35afc"
  ],
  "field": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "last_observed_at": "2019-08-24T14:15:22Z",
  "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",
  "reason": "missing_source",
  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
  "resolution_summary": "string",
  "resolved_at": "2019-08-24T14:15:22Z",
  "scope": "source",
  "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",
  "source_keys": [
    "string"
  ],
  "state": "open",
  "subject_key": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}